Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.pool
Class RecentlyUsedLinkedList

`java.lang.Object
oracle.jbo.pool.RecentlyUsedLinkedList`

public class RecentlyUsedLinkedList
extends java.lang.Object

Holder for the first and last elements in a pool linked list. The list is maintained with the most recently used element at the end of the list.

Constructor Summary
`RecentlyUsedLinkedList()`

Method Summary
`void` | `addElement(RecentlyUsedLinkedListElement element)`
`RecentlyUsedLinkedListElement` | `getLRUElement()`
`RecentlyUsedLinkedListElement` | `getMRUElement()`
`int` | `getSize()`
`RecentlyUsedLinkedListElement` | `removeElement(RecentlyUsedLinkedListElement element)`
`void` | `reset()`
`void` | `touchElement(RecentlyUsedLinkedListElement element)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RecentlyUsedLinkedList

    public RecentlyUsedLinkedList()

Method Detail

### touchElement

    public final void touchElement(RecentlyUsedLinkedListElement element)

### addElement

    public final void addElement(RecentlyUsedLinkedListElement element)

### removeElement

    public final RecentlyUsedLinkedListElement removeElement(RecentlyUsedLinkedListElement element)

### getLRUElement

    public final RecentlyUsedLinkedListElement getLRUElement()

### getMRUElement

    public final RecentlyUsedLinkedListElement getMRUElement()

### getSize

    public final int getSize()

### reset

    public final void reset()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.